Subject: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Oct 2017 19:08:59 +0300

> Date: Mon, 02 Oct 2017 21:43:52 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> Cc: [email-masked],
> 	[email-masked],
> 	Alex <[email-masked]>
> 
> Sorry.  The stacks seem to be already clobbered by (bad) longjmp.  So
> the above analysis would be bogus.

I think the second thread calls setjmp and clobbers the values set by
the main thread, when the main thread called setjmp.  We need to
eliminate this possibility of threads stepping on each other's toes.

Caveat: I didn't yet take a good look at the involved code, so what I
say might make no sense.